package com.railway.business.catenary.mapper;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJlgz;
import com.railway.business.catenary.domain.vo.BusJlgzListByZzVo;
import com.railway.business.catenary.domain.vo.BusJlgzQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* 接触网-记录故障
* @author author
* @date 2021/10/16
*/
@Mapper
@Repository
public interface BusJlgzMapper {

    /**
    * 新增
    */
    int insert(BusJlgz busJlgz);

    /**
    * 删除
    */
    int delete(@Param("id") Long id);

    /**
    * 更新
    */
    int update(BusJlgz busJlgz);

    /**
    * 获取单个
    */
    BusJlgz getInfo(@Param("id") Long id, @Param("lineId") Long lineId);

    /**
    * 查询列表
    */
    Page<BusJlgz> getList(BusJlgz busJlgz);

    List<BusJlgzListByZzVo> getListByZz(@Param("query") BusJlgzQueryVo busJlgzQueryVo);

}
